//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#include "NextPlayerPopup.h"
#include <pglabel.h>
#include "File.h"

using namespace std;

#define debug(x) {cerr<<__FILE__<<": "<<__LINE__<<": "<<x<<endl;}
//#define debug(x)

NextPlayerPopup::NextPlayerPopup(PG_Widget* parent, PG_Rect rect)
    :PG_ThemeWidget(parent, rect)
{
    d_background = File::getMiscPicture("library.jpg", false);
    SetBackground(d_background, 2);

    d_l_name = new PG_Label(this, PG_Rect(10, 10, 180, 20), "");
}

NextPlayerPopup::~NextPlayerPopup()
{
    SDL_FreeSurface(d_background);
    delete d_l_name;
}

void NextPlayerPopup::setName(string name)
{
    char buffer[80];
    sprintf(buffer, "Next Player: %s", name.c_str());
    d_l_name->SetText(buffer);
}

void NextPlayerPopup::eventDraw(SDL_Surface* surface, const PG_Rect& rect)
{
    debug("eventDraw()");
    DrawBorder(rect, 10);
}

// End of file
