//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef AI_DUMMY_H
#define AI_DUMMY_H

#include <string>
#include <list>
#include <pgmessageobject.h>
#include "defs.h"
#include "real_player.h"

//This is a dummy AI. It doesn't do anything except sitting around. It's main
//purpose is to play the neutral player, who is generally supposed to be dumb.
//See player.h for the inheritance scheme.

class AI_Dummy : public RealPlayer
{
	public:
		// CREATORS
		AI_Dummy (std::string name, std::string armyset, SDL_Color color);
		AI_Dummy(const Player&);
		AI_Dummy(XML_Helper* helper);
		~AI_Dummy();
		
		//ACTIONS
		bool startTurn();
		bool nextTurn();

        bool invadeCity(City* c);
};

#endif // AI_DUMMY_H
