//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef AI_FAST_H
#define AI_FAST_H

#include <string>
#include <list>
#include <pgmessageobject.h>
#include "defs.h"
#include "real_player.h"

//This is a straightforward, but moderate AI player. It is good enough to cause
//some problems if you just hang around, but won't stand a real fight. It just
//looks for the nearest city to attack and sends full stacks (with 8 armies)
//there.
//See player.h for more information about the inheritance.

class AI_Fast : public RealPlayer
{
	public:
		// CREATORS
		AI_Fast(std::string name, std::string armyset, SDL_Color color);
		AI_Fast(const Player&);
		AI_Fast(XML_Helper* helper);
		~AI_Fast();
		
		bool startTurn();
		bool nextTurn();

        bool invadeCity(City* c);
	private:
        void computerTurn(); 
};

#endif // AI_FAST_H
