//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef ARMYSETLIST_H
#define ARMYSETLIST_H

#include <string>
#include <map>
#include <sigc++/object_slot.h>
#include "xmlhelper.h"

class Armyset;

// I'm not a professional in the STL, so if the current design doesn't please
// you, simply change it. As long as the interface stays the same, it won't hurt.

class Armysetlist : public std::map<std::string, Armyset*>, public SigC::Object
{
	public:
        static Armysetlist* getInstance();
        static void deleteInstance();

		Armyset* getArmyset(std::string name);
		bool loadArmyset(std::string name);	//return false if error occured
		bool eraseByName(std::string name);

    protected:
        Armysetlist();
        ~Armysetlist();
		
    private:
        bool loadGlobalStuff(std::string tag, XML_Helper* helper);
    	bool loadArmy(std::string tag, XML_Helper* helper);

        static Armysetlist* s_instance;
        std::string d_loadName;   // name of the armyset to load
        int d_loadCounter;
};

#endif // ARMYSETLIST_H

