//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef HERO_OFFER_H
#define HERO_OFFER_H

#include <pgwindow.h>
#include <pgeventobject.h>

class PG_LineEdit;
class PG_Label;
class PG_Button;
class City;

/* This class represents a window that offers a Hero to a player */

class Hero_offer : public PG_EventObject, public PG_Window
{
	public:
		enum GENDER {MALE = 0, FEMALE = 1};
		
		// CREATORS
		Hero_offer(int gold, PG_Widget* parent);
		~Hero_offer();

		// MANIPULATORS
		PARAGUI_CALLBACK(b_acceptClicked);
		PARAGUI_CALLBACK(b_rejectClicked);

	private:
		// DATA
		PG_Button* d_b_accept;
		PG_Button* d_b_reject;
		PG_LineEdit* d_e_name;
		PG_Label* d_l_pic;
		PG_Label* d_l_text;
        PG_Label* d_l_text2;
		bool d_free;
		GENDER d_gender;
		int d_gold;
		City* d_city;
        SDL_Surface* d_recruitpic;
};

#endif // HERO_OFFER_H
